/*************************************************
 Super Street Fighter II The New Challengers
 with SEGA MMC(byte writes)
        0xA130F3:       0x080000 - 0x0FFFFF
        0xA130F5:       0x100000 - 0x17FFFF
        0xA130F7:       0x180000 - 0x1FFFFF
        0xA130F9:       0x200000 - 0x27FFFF
        0xA130FB:       0x280000 - 0x2FFFFF
        0xA130FD:       0x300000 - 0x37FFFF
        0xA130FF:       0x380000 - 0x3FFFFF
 dump script
*************************************************/
function cpu_dump(d, rom_size, banksize)
{
	local time_addr = 0xA130F3;
	for(local i = 0; i < rom_size; i += 0x10000)
	{
		if((i%0x80000)==0) cpu_write(d,time_addr>>1,i/0x80000);
		cpu_read(d, (i&0x7FFFF)|0x80000, 0x10000);
	}
}